RPM(8)

NAMN
rpm — RPM-pakethanterare

SYNOPSIS

  FRÅGA OM OCH VERIFIERA PAKET
rpm {-q|--query} [urvalsflaggor] [frågeflaggor]

rpm --querytags

rpm {-V|--verify} [urvalsflaggor] [verifieringsflaggor]

  INSTALLERA, UPPGRADERA OCH TA BORT PAKET
rpm {-i|--install} [installationsflaggor] PAKETFIL …

rpm {-U|--upgrade} [installationsflaggor] PAKETFIL …

rpm {-F|--freshen} [installationsflaggor] PAKETFIL …

rpm {--reinstall} [installationsflaggor] PAKETFIL …

rpm {-e|--erase} [--allmatches] [--justdb] [--nodb] [--nodeps] [--noscripts] [--notriggers] [--test] PAKETNAMN …

  DIVERSE
rpm --showrc

rpm --restore [urvalsflaggor]

  urvalsflaggor
[PAKETNAMN] [-a,--all [VÄLJARE]] [-f,--file FIL] [--path SÖKVÄG] [-g,--group GRUPP] [-p,--package PAKETFIL] [--hdrid SHA1] [--pkgid MD5] [--tid TID] [--querybynumber HVDNUM] [--triggeredby PAKETNAMN] [--whatprovides FÖRMÅGA] [--whatrequires FÖRMÅGA] [--whatrecommends FÖRMÅGA] [--whatsuggests FÖRMÅGA] [--whatsupplements FÖRMÅGA] [--whatenhances FÖRMÅGA] [--whatobsoletes FÖRMÅGA] [--whatconflicts FÖRMÅGA]

  frågeflaggor
Allmänt: [--changelog] [--changes] [--dupes] [-i,--info] [--last] [--qf,--queryformat FRÅGEFMT] [--xml] [--json]

Beroenden: [--conflicts] [--enhances] [--obsoletes] [--provides] [--recommends] [-R,--requires] [--suggests] [--supplements]

Filer: [-c,--configfiles] [-d,--docfiles] [--dump] [--fileclass] [--filecolor] [--fileprovide][--filerequire] [--filecaps] [--filesbypkg] [-l,--list] [-s,--state] [--noartifact] [--noghost] [--noconfig]

Skript och utlösare: [--filetriggers] [--scripts] [--triggers,--triggerscripts]

  verifieringsflaggor
[--nodeps] [--nofiles] [--noscripts] [--nodigest] [--nosignature] [--nolinkto] [--nofiledigest] [--nosize] [--nouser] [--nogroup] [--nomtime] [--nomode] [--nordev] [--nocaps]

  installationsflaggor
[--allfiles] [--badreloc] [--excludepath GAMMALSÖKVÄG] [--excludedocs] [--force] [-h,--hash] [--ignoresize] [--ignorearch] [--ignoreos] [--includedocs] [--justdb] [–nodb] [--nodeps] [--nodigest] [--noplugins] [--nocaps] [--noorder] [--noverify] [--nosignature] [--noscripts] [--notriggers] [--oldpackage] [--percent] [--prefix NYSÖKVÄG] [--relocate GAMMALSÖKVÄG=NYSÖKVÄG] [--replacefiles] [--replacepkgs] [--test]

BESKRIVNING
rpm är en kraftfull pakethanterare, vilken kan användas för att bygga, installera, fråga om, verifiera, uppdatera och radera enskilda programvarupaket. Ett paket består av ett arkiv med filer och metadata som används för att installera och radera arkivfilerna. Metadatan inkluderar hjälpskript, filattribut och beskrivande information om paketet. Paket finns i två varianter: binärpaket, som används för att kapsla in programvara som skall installeras, och källpaket, som innehåller källkoden och recepten som behövs för att producera binärpaket.

Ett av följande grundläggande lägen måste väljas: Fråga, Verifiera, Installera/Uppgradera/Fräscha upp/Installera om, Avinstallera, Sätt ägare/grupper, Visa frågetaggar och Visa konfigurationen.

  ALLMÄNNA FLAGGOR
Dessa flaggor kan användas i alla de olika lägena.

-?, --help
    Visa ett längre användningsmeddelande än normalt.

--version
    Skriv ut en ensam rad som innehåller versionsnumret för den rpm som används.

--quiet
    Skriv så lite som möjligt — normalt kommer endast felmeddelanden att visas.

-v, --verbose
    Skriv utförlig information — normalt kommer rutinmässiga förloppsmeddelanden visas.

-vv Skriv mängder av ful felsökningsinformation.

--rcfile FILLISTA
    Ersätt standardlistan med konfigurationsfiler som skall läsas med FILLISTA. Se rpmrc-konfiguration för detaljer.

--load FIL
    Läs in en enstaka makrofil.

--macros FILLISTA
    Ersätt listan med makrofiler som skall läsas in med FILLISTA. Se Makrokonfiguration för detaljer.

--pipe KMD
    Skickar utdata från rpm till kommandot KMD.

--dbpath KATALOG
    Använd databasen i KATALOG istället för standardsökvägen /var/lib/rpm.

--root KATALOG
    Använd filsystemsträdet med rot i KATALOG för alla åtgärder. Observera att detta betyder att databasen i KATALOG kommer användas för beroendekontroller och skript (t.ex. %post vid installation av, eller %prep vid bygge av, ett paket) kommer köras efter att ha gjort chroot(2) till KATALOG.

    Observera att rpm antar att miljön inuti roten är uppsatt av anroparen, såsom eventuella monteringar som behövs för åtgärden inuti rotkatalogen.

-D, --define='MAKRO UTTR'
    Definierar MAKRO med värdet UTTR.

--undefine='MAKRO'
    Avdefinierar MAKRO.

-E, --eval='UTTR'
    Skriv ut makroexpansionen av UTTR.

Fler — mer sällan använda — flaggor finns i manualsidan rpm-misc(8).

  INSTALLATIONS- OCH UPPGRADERINGSFLAGGOR
Med dessa flaggor kan PAKETFIL antingen vara en rpm-binärfil eller en ASCII-paketförteckning (se PAKETVALSFLAGGOR), och kan anges som en ftp- eller http-URL, i vilket fall paketet kommer hämtas före installationen. Se FTP-/HTTP-FLAGGOR för information om rpms klientstöd för ftp och http.

Den allmänna formen för ett rpm-kommando för installation är

rpm {-i|--install} [installationsflaggor] PAKETFIL …

Detta installerar ett nytt paket.

Den allmänna formen för ett rpm-kommando för uppdatering är

rpm {-U|--upgrade} [installationsflaggor] PAKETFIL …

Detta uppgraderar eller installerar paketet som just nu är installerat till en nyare version. Detta är detsamma som installera, förutom att alla andra versioner av paketet tas bort efter att det nya paketet installerats.

rpm {-F|--freshen} [installationsflaggor] PAKETFIL …

Detta kommer uppgradera paket, men bara sådana för vilka en tidigare version är installerad.

Den allmänna formen för ett rpm-kommando för ominstallation är

rpm {--reinstall} [installationsflaggor] PAKETFIL …

Detta installerar ett tidigare installerat paket.

--allfiles
    Installerar eller uppgraderar alla missingok-filer i paketet, oavsett om de redan finns.

--badreloc
    Använt med --relocate tillåts omlokaliseringar av alla filsökvägar, inte bara de GAMMALSÖKVÄG:ar som är inkluderade i binärpaketets omlokaliseringsanvisningar.

--excludepath GAMMALSÖKVÄG
    Installera inte filer vars namn börjar med GAMMALSÖKVÄG.

--excludeartifacts
    Installera inte några filer som är markerade som artifakter, såsom bygg-id-länkar.

--excludedocs
    Installera inte några filer som är markerade som dokumentation (vilket inkluderar manualsidor och texinfo-dokument).

--force
    Samma som att använda --replacepkgs, --replacefiles och --oldpackage.

-h, --hash
    Skriv 50 fyrkanter allteftersom paketarkivet packas upp. Använd med -v|--verbose för en snyggare visning

--ignoresize
    Kontrollera inte de monterade filsystemen om det finns tillräckligt med diskutrymme före installation av detta paket.

--ignorearch
    Tillåt installation eller uppgradering även om arkitekturen av binärpaketet och värden inte stämmer överens.

--ignoreos
    Tillåt installation eller uppgradering även om operativsystemet för binärpaketet och värden inte stämmer överens.

--includedocs
    Installera dokumentationsfiler. Detta är standardbeteendet.

--justdb
    Uppdatera endast databasen, inte filsystemet.

--nodb
    Uppdatera endast filsystemet, inte databasen.

--nodigest
    Verifiera inte paketets eller huvudets kontrollsummor vid läsning.

--nomanifest
    Bearbeta inte andra filer än paket som om de vore förteckningar.

--nosignature
    Verifiera inte paketets eller huvudets signaturer vid läsning.

--nodeps
    Gör inte någon beroendekontroll före installationen eller uppgraderingen av ett paket.

--nocaps
    Ställ inte in filers förmågor.

--noorder
    Ändra inte ordningen på paket vid en installation. Paketlistan ordnas normalt om för att uppfylla beroenden.

--noverify
    Verifiera inte paketfiler före installationen.

--noplugins
    Läs inte in och kör insticksmoduler.

--noscripts, --nopre, --nopost, --nopreun, --nopostun, --nopretrans, --noposttrans, --nopreuntrans, --nopostuntrans
    Kör inte skriptet med samma namn. Flaggan --noscripts är likvärdig med

--nopre --nopost --nopreun --nopostun --nopretrans --noposttrans --nopreuntrans --nopostuntrans

och slår av körningen av de motsvarande skripten %pre, %post, %preun, %postun %pretrans, %posttrans, %preuntrans och %postuntrans.

--notriggers, --notriggerin, --notriggerun, --notriggerprein, --notriggerpostun
    Kör inte några utlösarskript av den namngivna typen. Flaggan --notriggers är ekvivalent med

--notriggerprein --notriggerin --notriggerun --notriggerpostun

och slår av körningen av de motsvarande skripten %triggerprein, %triggerin, %triggerun och %triggerpostun.

--nosysusers
    Skapa inte sysusers från paketen

--oldpackage
    Tillåt en uppgradering att ersätta ett nyare paket med ett äldre.

--percent
    Skriv ut procentsatser allteftersom filer packas upp från paketarkivet. Detta är tänkt att göra rpm lätt att köra från andra verktyg.

--prefix NYSÖKVÄG
    För relokerbara binärpaket, översätt alla filsökvägar som börjar med installationsprefixet i paketets omlokaliseringsanvisningar till NYSÖKVÄG.

--relocate GAMMALSÖKVÄG=NYSÖKVÄG
    För relokerbara binärpaket, översätt alla filer som börjar med GAMMALSÖKVÄG i paketets omlokaliseringsanvisningar till NYSÖKVÄG. Denna flagga kan användas upprepade gånger om flera GAMMALSÖKVÄGar i paketet skall omlokaliseras.

--replacefiles
    Installera paketen även om de ersätter filer från andra, redan installerade, paket.

--replacepkgs
    Installera paketen även om några av dem redan är installerade på detta system.

--test
    Installera inte paketet, kontrollera bara och rapportera potentiella konflikter.

  RADERINGSFLAGGOR
Den allmänna formen för ett rpm-kommando för radering är

rpm {-e|--erase} [--allmatches] [--justdb] [--nodeps] [--noscripts] [--notriggers] [--test] PAKETNAMN …

Följande flaggor kan också användas:

--allmatches
    Ta bort alla versioner av paketet som matchar PAKETNAMN. Normalt blir det ett fel om PAKETNAMN matchar flera paket.

--justdb
    Uppdatera endast databasen, inte filsystemet.

--nodeps
    Kontrollera inte beroenden före paketen avinstalleras.

--noscripts, --nopreun, --nopostun
    Kör inte skriptet med samma namn. Flaggan --noscripts när paket raderas är ekvivalent med

--nopreun --nopostun

och slår av körningen av de motsvarande skripten %preun och %postun.

--notriggers, --notriggerun, --notriggerpostun
    Kör inte några utlösarskript av den namngivna typen. Flaggan --notriggers är ekvivalent med

--notriggerun --notriggerpostun

och slår av körningen av de motsvarande skripten %triggerun och %triggerpostun.

--test
    Avinstallera inte faktiskt någonting, gå bara igenom rörelserna. Användbart tillsammans med flaggan -vv för felsökning.

  FRÅGEFLAGGOR
Den allmänna formen för ett rpm-kommando för att fråga är

rpm {-q|--query} [urvalsflaggor] [frågeflaggor]

Man kan ange formatet som paketinformationen skall skrivas ut på. För att göra detta använder man flaggan

--qf|--queryformat FRÅGEFMT

följt av formatsträngen FRÅGEFMT. Frågeformaten är modifierade versioner av normal formatering med printf(3). Formatet byggs upp av statiska strängar (som kan innehålla styrsekvenser enligt standard-C för nyrader, tabulatorer och andra specialtecken (inte inkluderande \0)) och typformaterare enligt printf(3). Eftersom rpm redan vet typen som skall skrivas ut måste dock typspecificeraren utelämnas, och ersättas av namnet på huvudtaggen som skall skrivas ut, omsluten av tecknen {}. Taggnamn är skiftlägesokänsliga, och den inledande delen RPMTAG_ av taggnamnet kan också utelämnas.

Alternativa utmatningsformat kan begäras genom att taggen följs av :typtagg. För närvarande stödjs följande typer:

:armor
    Kapsla in en publik nyckel i ett ASCII-pansar.

:arraysize
    Visa antalet element i vektortaggar.

:base64
    Koda binärdata genom att använda base64.

:date
    Använd strftime(3)-formatet ”%c.

:day
    Använd strftime(3)-formatet ”%a %b %d %Y”.

:depflags
    Formatera jämförelseoperatorn för beroenden.

:deptype
    Formatera beroendets typ.

:expand
    Utför makroexpansion.

:fflags
    Formatera filflaggor.

:fstate
    Formatera filtillstånd.

:fstatus
    Formatera filverifieringstillstånd.

:hex
    Formatera hexadecimalt.

:octal
    Formatera oktalt.

:humaniec
    Mänskligt läsbart tal (enligt IEC 80000). Suffixet K = 1024, M = 1048576, …

:humansi
    Mänskligt läsbart tal (enligt SI). Suffixet K = 1000, M = 1000000, …

:json
    Kapsla in data i JSON.

:perms
    Formatera filrättigheter.

:pgpsig
    Visa signaturens fingeravtryck och tid.

:shescape
    Skydda enkla citationstecken för användning i skript.

:string
    Visa strängformat. (standard)

:tagname
    Visa taggnamnet.

:tagnum
    Visa taggnumret.

:triggertype
    Visa utlösarsuffix.

:vflags
    Filverifieringsflaggor.

:xml
    Kapsla in data i enkel xml-märkning.

Till exempel, för att skriva endast namnen på de efterfrågade paketen kan man använda %{NAME} som formatsträng. För att skriva paketnamnen och distributionsinformation i två kolumner kan man använda %-30{NAME}%{DISTRIBUTION}. rpm kommer skriva en lista över alla taggarna den känner till när den anropas med argumentet --querytags.

Det finns tre undergrupper av flaggor för frågor: paketval, filval och informationsval.

  PAKETVALSFLAGGOR

PAKETNAMN
    Fråga om det installerade paketet med namnet PAKETNAMN. För att ange paketet mer exakt kan paketnamnet följas av versionen eller versionen och utgåvan båda separerade av ett bindestreck eller ett arkitekturnamn separerat av en punkt. Se utdata från rpm -qa eller rpm -qp PAKETFIL som ett exempel.

-a, --all [VÄLJARE]
    Fråga om alla installerade paket.

En frivillig VÄLJARE på formen tagg=mönster kan ges för att snäva in valet, till exempel name="b*" för att fråga om paket vars namn börjar med "b".

--dupes
    Lista dubblerade paket.

-f, --file FIL
    Fråga om paketet som äger den installerade FILen.

--filecaps
    Lista filnamn med POSIX1.e-förmågor.

--fileclass
    Lista filnamn med deras klasser (libmagic-klassificering).

--filecolor
    Lista filnamn med sina färger (0 för arkfri, 1 för 32-bitars, 2 för 64-bitars)

--fileprovide
    Lista filnamn med sina tillhandahållanden.

--filerequire
    Lista filnamn med sina begäranden.

-g, --group GRUPP
    Fråga om paket med gruppen GRUPP.

--hdrid SHA1
    Fråga om paket som innehåller huvudidentifierare, d.v.s. kontrollsumman SHA1 i den oföränderliga huvudregionen.

-p, --package PAKETFIL
    Fråga om ett (oinstallerat) paket PAKETFIL. PAKETFILen kan anges som en URL i ftp- eller http-stil, då pakethuvudet kommer hämtas och frågas. Se FTP-/HTTP-FLAGGOR för information om rpms ftp- och http-klientstöd. Argumenten PAKETFIL, om det inte är ett binärpaket, kommer tolkas som en paketförteckning i ASCII om inte flaggan --nomanifest används. I förteckningar är kommentarer tillåtna, som inleds med ett ”#”, och varje rad i en paketförteckningsfil kan inkludera mellanrumsseparerade glob-uttryck, inklusive URL:er, som kommer expanderas till sökvägar som ersätter paketförteckningen som ytterligare PAKETFILsargument att fråga om.

--path SÖKVÄG
    Fråga paket som äger SÖKVÄG, oavsett huruvida filen är installerad eller inte. Flera paket kan äga en SÖKVÄG, men filen ägs bara av paketet som installerats sist.

--pkgid MD5
    Fråga om paket som innehåller en given paketidentifierare, d.v.s. kontrollsumman MD5 av det kombinerade innehållet i huvud och last.

--querybynumber HVDNUM
    Fråga om databasposten HVDNUM direkt; detta är bara användbart för felsökning.

--specfile SPECFIL
    Tolka och fråga om SPECFIL som om den vore ett paket. Även om inte all information (t.ex. fillistor) finns tillgänglig gör denna typ av fråga att rpm kan användas för att extrahera information från specfiler utan att behöva skriva en specfiltolk.

--tid TID
    Fråga paket som har en given transaktionsidentifierare TID. En UNIX-tidsstämpel används för närvarande som en transaktionsidentifierare. Alla paket som installerades eller raderades i en enda transaktion har en gemensam identifierare.

--triggeredby PAKETNAMN
    Fråga om paket som utlöses av paketen PAKENAMN.

--whatobsoletes FÖRMÅGA
    Fråga om alla paket som fasar ut FÖRMÅGA för att fungera korrekt.

--whatprovides FÖRMÅGA
    Fråga om alla paket som tillhandahåller förmågan FÖRMÅGA.

--whatrequires FÖRMÅGA
    Fråga om alla paket som behöver FÖRMÅGA för att fungera korrekt.

--whatconflicts FÖRMÅGA
    Fråga om alla paket som står i konflikt med FÖRMÅGA.

--whatrecommends FÖRMÅGA
    Fråga om alla paket som rekommenderar FÖRMÅGA.

--whatsuggests FÖRMÅGA
    Fråga om alla paket som föreslår FÖRMÅGA.

--whatsupplements FÖRMÅGA
    Fråga om alla paket som kompletterar FÖRMÅGA.

--whatenhances FÖRMÅGA
    Fråga om alla paket som förbättrar FÖRMÅGA.

  PAKETFRÅGEFLAGGOR

--changelog
    Visa ändringsinformation för paketet.

--changes
    Visa ändringsinformation för paketet med fullständiga tidsstämplar.

--conflicts
    Lista förmågor som detta paket står i konflikt med.

--dump
    Dumpa ut filinformation enligt följande (implicerar -l):

            sökväg storlek mtid kontrollsumma rättigheter ägare grupp är-konfig är-dok rdev symlänk

--enhances
    Lista förmågor som förbättras av paketet.

--filesbypkg
    Lista alla filerna i varje valt paket.

--filetriggers
    Lista filutlösarskript från paketen.

-i, --info
    Visa paketinformation, inklusive namn, version och beskrivning. Detta använder --queryformat om det angivits en.

--last
    Ordna paketlistan efter installationstidpunkten så att de senaste paketen är överst.

-l, --list
    Lista filer i paketen.

--obsoletes
    Lista paket som detta paket fasar ut.

--provides
    Lista förmågor detta paket tillhandahåller.

--recommends
    Lista förmågor som rekommenderas av paketet.

-R, --requires
    Lista förmågor vilka detta paket beror på.

--suggests
    Lista förmågor som föreslås av paketet.

--supplements
    Lista förmågor som kompletteras av paketet.

--scripts
    Lista alla paketspecifika skript som används som en del av installations- och avinstallationsprocesserna.

-s, --state
    Visa tillstånden för filer i paketet (implicerar -l). Tillståndet för varje fil är en av normal, oinstallerad eller ersatt.

--triggers, --triggerscripts
    Visa utlösarskripten, om några, som ingår i paketet.

--xml
    Formatera pakethuvuden som XML.

  FILVALSFLAGGOR

-A, --artifactfiles
    Inkludera endast artifaktfiler (implicerar -l).

-c, --configfiles
    Inkludera endast konfigurationsfiler (implicerar -l).

-d, --docfiles
    Inkludera endast dokumentationsfiler (implicerar -l).

-L, --licensefiles
    Inkludera endast licensfiler (implicerar -l).

--noartifact
    Exkludera artifaktfiler.

--noconfig
    Exkludera konfigurationsfiler.

--noghost
    Exkludera spökfiler.

  VERIFIERINGSFLAGGOR
Den allmänna formen för ett rpm-kommando för att verifiera är

rpm {-V|--verify} [urvalsflaggor] [verifieringsflaggor]

Vid verifikation av ett paket jämförs information om de installerade filerna i paketet med information som tas från paketets metadata lagrad i rpm-databasen. Bland annat jämför verifieringen storleken, kontrollsumman, rättigheterna, typen, ägaren och gruppen för varje fil. Alla avvikelser visas. Filer som inte installerades från paketet, till exempel dokumentationsfiler som exkluderas vid installationen med flaggan \[rq]\f[B]--excludedocs\f[R]\[rq], kommer ignoreras tyst

Paketet och filvalsflaggorna är desamma som vid frågor om paket (inklusive förteckningsfiler som argument). Andra flaggor som är unika för verifieringsläget är:

--nodeps
    Verifiera inte beroenden hos paket.

--nodigest
    Verifiera inte paketets eller huvudets kontrollsummor vid läsning.

--nofiles
    Verifiera inte några attribut hos paketfiler.

--noscripts
    Kör inte skriptet %verifyscript (om det finns något).

--nosignature
    Verifiera inte paketets eller huvudets signaturer vid läsning.

--nolinkto

--nofiledigest (tidigare --nomd5)

--nosize

--nomtime

--nomode

--nordev
    Verifiera inte motsvarande filattribut.

--nouser

--nogroup
    Verifiera inte filers användar-/gruppägande. Observera att endast de lokala databaserna passwd(5) och group(5) konsulteras.

--nocaps
    Verifiera inte filförmågor.

Formatet på utdata är en sträng med 9 tecken, en möjlig attributmarkör:

        **a** %**a**rtifakt en fil som är en sidoeffekt av bygget (såsom buildid-länkar).
        **c** %**c**onfig konfigurationsfil.
        **d** %**d**oc dokumentationsfil.
        **g** %**g**host spökfil (d.v.s. filinnehållet ingår inte i paketets last).
        **l** %**l**icense licensfil.
        **m** %**m**issingok att filen saknas är inte ett verifikationsfel.
        **n** %%config(**n**oreplace) (ersätt inte filen).
        **r** %**r**eadme readme-fil.
        **s** **s**pec-fil i ett källpaket.

från pakethuvudet, följt av filnamnet. Vart och ett av de 9 tecknen markerar resultatet av en jämförelse av attribut hos filen med värdet för det attributet som noterats i databasen. En ensam ”.” (punkt) betyder att testet lyckades, medan ett ensamt ”?” (frågetecken) indikerar att testet inte kunde utföras (t.ex. filrättigheterna förhindrar läsning). Annars markerar tecknet (mnemoniskt i Fetstil) en avvikelse i motsvarande --verify-test:

        **S** fil**S**torlek skiljer
        **M** rättigheter (**M**ode) skiljer (inkluderar rättigheter och filtyp)
        **5** kontrollsumman (tidigare MD**5**-summan) skiljer
        **D** enhetens (**D**evice) övre/undre nummer skiljer
        **L** read**L**ink(2) på sökvägen skiljer
        **U** användaren (**U**ser) som äger skiljer
        **G** **G**rupp som äger skiljer
        **T** m**T**id skiljer
        **P** förmågor (ca**P**abilities) skiljer

  DIVERSE KOMMANDON

rpm --showrc
    visar de värden rpm kommer använda för alla flaggorna som just nu är satta i konfigurationsfilerna rpmrc och macros.

rpm --setperms | --setugids | --setcaps PAKETNAMN
    föråldrade alias för --restore

rpm --restore [urvalsflaggor]
    Flaggan återställer filmetadata såsom tidsstämpel, ägare, grupp, rättigheter och förmågor på filer i paket.

  FTP-/HTTP-FLAGGOR
rpm kan agera som en FTP- och/eller HTTP-klient så att man kan ställa frågor om eller installera paket från internet. Paketfiler för åtgärderna installation, uppgradering och fråga kan anges som en URL i ftp- eller http-stil:

http://VÄRD[:PORT]/sökväg/till/paket.rpm

ftp://[ANVÄNDARE:LÖSENORD]@VÄRD[:PORT]/sökväg/till/paket.rpm

Om både användarnamnet och lösenordet utelämnas används anonym ftp.

rpm tillåter att följande flaggor används med ftp-URL:er:

rpm tillåter att följande flaggor används med http- och ftp-URL:er:

--httpproxy VÄRD
    Värden VÄRD kommer användas som en proxyserver för alla http- och ftp-överföringar. Denna flagga kan även anges genom att konfigurera makrot %_httpproxy.

--httpport PORT
    TCP-PORT-numret att använda till http-anslutningen på proxy-http-servern istället för standardporten. Denna flagga kan även anges genom att konfigurera makrot %_httpport.

KVARLEVOR FRÅN TIDIGARE

  Att köra rpmbuild
Bygglägena hos rpm finns nu i den körbara /usr/bin/rpmbuild. Installera paketet som innehåller rpmbuild (vanligen rpm-build) och se rpmbuild(8) för dokumentation om alla bygglägen hos rpm.

FILER

  rpmrc-konfiguration
Varje fil i den kolonseparerade sökvägen till rpmrc läses sekventiellt av rpm för konfigurationsinformation. Endast den första filen i listan måste finnas, och tilden kommer expanderas till värdet på $HOME. Standardsökvägen för rpmrc är som följer:

        /usr/lib/rpm/rpmrc:
        /usr/lib/rpm/<leverantör>/rpmrc:
        /etc/rpmrc:
        ~/.config/rpm/rpmrc

Om miljövariabeln XDG_CONFIG_HOME är satt ersätter den ~/.config i sökvägen.

I äldre rpm-versioner var sökvägen till rpmrc:n per användare ~/.rpmrc. Denna bearbetas fortfarande om den finns och den nya konfigurationskatalogen inte finns.

  Makrokonfiguration
Varje fil eller glob(7)-mönster i den kolonseparerade sökvägen till makron läses sekventiellt av rpm för makrodefinitioner. Tilden kommer expanderas till värdet på miljövariabeln HOME. Standardsökvägen för makron är som följer:

        /usr/lib/rpm/macros:
        /usr/lib/rpm/macros.d/macros.*:
        /usr/lib/rpm/platform/%{_target}/macros:
        /usr/lib/rpm/fileattrs/*.attr:
        /usr/lib/rpm/<leverantör>/macros:
        /etc/rpm/macros.*:
        /etc/rpm/macros:
        /etc/rpm/%{_target}/macros:
        ~/.config/rpm/macros

Om miljövariabeln XDG_CONFIG_HOME är satt ersätter den ~/.config i sökvägen.

I äldre rpm-versioner var sökvägen till makron per användare ~/.rpmmacros. Denna bearbetas fortfarande om den finns och den nya konfigurationskatalogen inte finns.

  Databas

        /var/lib/rpm/

  Tillfällig

        /var/tmp/rpm*

SE ÄVEN
rpm-misc(8), popt(3), rpm2cpio(8), rpmbuild(8), rpmdb(8), rpmkeys(8), rpmsign(8), rpmspec(8)

rpm --help — eftersom rpm stödjer anpassning av flaggor via popt-alias är det omöjligt att garantera att vad som beskrivs i manualen stämmer med vad som finns tillgängligt.

http://www.rpm.org/ <URL:http://www.rpm.org/>

FÖRFATTARE

        Marc Ewing <marc@redhat.com>
        Jeff Johnson <jbj@redhat.com>
        Erik Troan <ewt@redhat.com>

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.